import 'package:json_annotation/json_annotation.dart';

part 'asset.g.dart';


@JsonSerializable()
class AssetDTO {
  final String chain;

  @JsonKey(name: 'token_symbol')
  final String tokenSymbol;

  @JsonKey(name: 'contract_address')
  final String? contractAddress;

  const AssetDTO({
    required this.chain,
    required this.tokenSymbol,
    this.contractAddress,
  });

  factory AssetDTO.fromJson(Map<String, dynamic> json) => _$AssetDTOFromJson(json);
  Map<String, dynamic> toJson() => _$AssetDTOToJson(this);
}
